Posts by TheRiddler1982

    Hi Nuxwin,


    today I have tried to update to the latest version 1.3.0.


    I ran the installer and got the error message that the roundcube schema could not be updated. Next, I googled the error and found a thread that it is an issue with php7. So I have downgraded to 5.6.24 and tried it again. It did not work. The installation canceled and stopped the apache/mysql/php services. First, Apache2 didn't come up. I found out that the SSL certificate has been removed during the update process, thus the SSL site could not be loaded. I have disabled the site and the service has been started. Next, mysql is not able to start.


    Code
    1. Unit mysql.service entered failed state.
    2. Aug 26 17:16:37 menkisyscloudsrv29 sshd[30559]: Failed password for root from 116.31.116.24 port 58705 ssh2
    3. Aug 26 17:16:37 menkisyscloudsrv29 sshd[30559]: Failed password for root from 116.31.116.24 port 58705 ssh2
    4. Aug 26 17:16:37 menkisyscloudsrv29 sshd[30559]: Failed password for root from 116.31.116.24 port 58705 ssh2
    5. Aug 26 17:16:37 menkisyscloudsrv29 sshd[30559]: Received disconnect from 116.31.116.24: 11: [preauth]
    6. Aug 26 17:17:01 menkisyscloudsrv29 CRON[30561]: pam_unix(cron:session): session opened for user root by (uid=0)
    7. Aug 26 17:17:01 menkisyscloudsrv29 CRON[30562]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)
    8. Aug 26 17:17:01 menkisyscloudsrv29 CRON[30561]: pam_unix(cron:session): session closed for user root
    9. Aug 26 17:17:09 menkisyscloudsrv29 sshd[30564]: Failed password for root from 116.31.116.24 port 19060 ssh2

    I have made an database backup from my Wordpress installation but not from my other databases. I did not backup the /var/www/imcp folder.


    I have only the key and scr files from my wildcard certificate but not the pem file which was missing for the SSL startup.


    Nuxwin: your public key is still registered with my server. Could you have a look at the issue to the i-mscp 1.3.0 up and running again? I don't want to loose my settings! I will honor your efforts with a donoation. The ip address is 178.33.26.29. The imscp install files can be found in /root.



    Thanks,
    Sven

    Hi Nuxwin,


    I just updated from 1.2.16 to 1.2.17 and I have noticed that I cannot connect to my domain https://ziin.de any longer. In the backend, everything looks perfect. Once I had a look at


    Code
    1. /etc/apache2/sites-available


    I have noted that the ssl config file for ziin.de is missing:


    Code
    1. -rw-r--r-- 1 root root 1,4K Feb 1 2015 000-default.conf
    2. -rw-r--r-- 1 root root 1,3K Mär 13 22:22 00_nameserver.conf
    3. -rw-r--r-- 1 root root 705 Mär 13 22:21 01_awstats.conf
    4. -rw-r--r-- 1 root root 6,3K Feb 1 2015 default-ssl.conf
    5. -rw-r--r-- 1 root root 1,7K Mär 13 22:22 foto-schwabach.de.conf
    6. -rw-r--r-- 1 root root 1,8K Mär 13 22:22 hochzeit-schwabach.de.conf
    7. -rw-r--r-- 1 root root 1,8K Mär 13 22:22 schwabach-fotografie.de.conf
    8. -rw-r--r-- 1 root root 1,5K Mär 13 22:39 ziin.de.conf


    I have restored it from my backup and restarted the Apache2 service but the file is not taken into account.


    Next, I have updated the certificates in the backend, but it still does not work. My restored file has been deleted by the config.


    Do you know what is causing that error?


    In case you want to have a direct look at the server: your public key is installed at menkisyscloudsrv29.menkisys.de.



    Thanks,
    Sven

    Hi Nuxwin,


    we had a discussion back in January this year where you told me that the new version of phpSwitcher supports php-fpm which gives better performances:


    https://i-mscp.net/index.php/T…7/?postID=39722#post39722


    By analyzing an error in PHP I have noticed the following:


    Code
    1. [Fri Mar 04 18:59:28.001099 2016] [proxy_fcgi:error] [pid 3962:tid 139674936923904] [client 66.249.93.229:56413] AH01071: Got error 'PHP message

    Does this mean that I am using the fcgi mode and not the php-fpm? If so, how do I change that?



    Thanks,
    Sven

    Hi,


    just have a question: can you explain why is normal to lose the settings of rainloop after each update? I have the same problem. After each i-mscp update, I have to update my theme, gpg keys, language settings, etc. Is there a way to keep them?



    Thanks,
    Sven

    Hi Nuxwin,


    since the update to 1.2.14 I have noticed that the I-MSCP installer adds the following lines



    Code
    1. deb http://repo.mysql.com/apt/debian/ jessie mysql-5.7deb-src http://repo.mysql.com/apt/debian/ jessie mysql-5.7

    to the main sources.list file:


    Code
    1. /etc/apt/sources.list

    As I have already added them to my custom list file before to




    Code
    1. /etc/apt/sources.list.d/



    directory manually before the update, I ran into apt-get update errors. I have removed that from the main source file after the 1.2.14 update and just thought that I forgot about removing it. But after the 1.2.15 update, it reappeared. As I have not done anything there, I would assume Sherlock Holmes' logic that the remaining thing must be the cause as unrealistic it might be :-)


    I would suggest do implement a check, if the added sources are already present in the user adjusted directory.


    What do you think?


    Thanks,
    Sven